aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavide Cavalca <davide125@tiscali.it>2017-12-04 03:16:22 -0800
committerDee'Kej <deekej@linuxmail.org>2018-05-30 14:58:28 +0200
commitf0a7f01e46f9d43159328897bbd72896d8d67578 (patch)
treee229a1458c9f397a480c345d024c9818eeaeddd9
parentff5e217da38a24a780c793ee9cad03272705ee84 (diff)
downloadinitscripts-f0a7f01e46f9d43159328897bbd72896d8d67578.tar
initscripts-f0a7f01e46f9d43159328897bbd72896d8d67578.tar.gz
initscripts-f0a7f01e46f9d43159328897bbd72896d8d67578.tar.bz2
initscripts-f0a7f01e46f9d43159328897bbd72896d8d67578.tar.xz
initscripts-f0a7f01e46f9d43159328897bbd72896d8d67578.zip
network: add knob to optionally keep interfaces up during shutdown
Resolves: RHBZ#1583677
-rwxr-xr-xrc.d/init.d/network9
-rw-r--r--sysconfig.txt5
2 files changed, 14 insertions, 0 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 51582bae..2834df47 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -167,6 +167,15 @@ stop)
exit 1
fi
+ # Don't shut the network down when shutting down the system if configured
+ # as such in sysconfig
+ if is_false "$IFDOWN_ON_SHUTDOWN"; then
+ if systemctl is-system-running | grep -q 'stopping'; then
+ net_log $"system is shutting down, leaving interfaces up as requested"
+ exit 1
+ fi
+ fi
+
vlaninterfaces=""
vpninterfaces=""
xdslinterfaces=""
diff --git a/sysconfig.txt b/sysconfig.txt
index 7adc3813..aec8b81b 100644
--- a/sysconfig.txt
+++ b/sysconfig.txt
@@ -178,6 +178,11 @@ Generic options:
network has spanning tree running and must wait for STP convergence.
Default: 0 (no delay)
+ IFDOWN_ON_SHUTDOWN=yes|no
+ If yes, do bring interfaces down during system shutdown. If no, leave them
+ in their current state (this is only supported on hosts using systemd).
+ Default: yes (bring interfaces down)
+
IPV6FORWARDING=yes|no
Enable or disable global forwarding of incoming IPv6 packets